Get Contract by ID

Return the contract information given an id.

This method will use 20 Compute Units.


Get contract by id

get

Return the contract information given an id

Path parameters
contractIdOrAddressstringRequired

The ID or hex encoded EVM address (with or without 0x prefix) associated with this contract.

Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40})$
Query parameters
timestampstring[]Optional

The consensus timestamp in seconds.nanoseconds format with an optional comparison operator

Example: {"summary":"--","value":""}
Responses
chevron-right
200

OK

application/json
auto_renew_accountstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
auto_renew_periodinteger · int64 · nullableOptionalExample: 7776000
contract_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
created_timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
deletedbooleanOptionalExample: false
evm_addressstring · binary · min: 40 · max: 42Optional

A network entity encoded as an EVM address in hex.

Example: 0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
expiration_timestampstring · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
file_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
max_automatic_token_associationsinteger · int32 · nullableOptional
memostringOptionalExample: contract memo
obtainer_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
permanent_removalboolean · nullableOptional
proxy_account_idstring · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
bytecodestring · binary · nullableOptional

The contract bytecode in hex during deployment

Example: 0x01021a1fdc9b
runtime_bytecodestring · binary · nullableOptional

The contract bytecode in hex after deployment

Example: 0x0302fa1ad39c
get
/api/v1/contracts/{contractIdOrAddress}

Last updated

Was this helpful?